//
//  PreferencesCtrl.h
//  Othello
//
//  Created by Nike on 5/30/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface PreferencesCtrl : NSWindowController 
{
	IBOutlet NSPopUpButton* HumanColor;
	IBOutlet NSPopUpButton* DefSkill;
	IBOutlet NSButton* AutoPass;
	IBOutlet NSButton* ShowMoves;
	IBOutlet NSButton* LastMove;
	IBOutlet NSButton* AnimationEff;
	IBOutlet NSButton* ShowCoordination;
	
	
	NSSpeechSynthesizer *speechSynth;
}

- (int)humanColor;
- (int)defSkill;
- (BOOL)showLegalMove;
- (BOOL)autoPass;
- (BOOL)LastMove;
- (BOOL)AnimationEff;
- (BOOL)ShowCoordination;


- (IBAction)OnOK:(id)sender;
- (IBAction)OnDefSet:(id)sender;
- (IBAction)OnSkill:(id)sender;
- (IBAction)OnHumanColor:(id)sender;
- (IBAction)OnPass:(id)sender;
- (IBAction)OnShowMoves:(id)sender;
- (IBAction)OnPass:(id)sender;
- (IBAction)OnLastMove:(id)sender;
- (IBAction)OnAnimationEff:(id)sender;
- (IBAction)OnShowCoordination:(id)sender;

@end
